Name:      python-simpleline
Version:   1.7
Release:   1
Summary:   A Python3-only text UI framework
License:   GPLv2+
URL:       https://github.com/rhinstaller/python-simpleline
Source0:   https://github.com/rhinstaller/python-simpleline/releases/download/simpleline-%{version}/simpleline-%{version}.tar.gz
BuildArch: noarch

%global common_description %{expand:
This is a text UI framework originally which was a part of the Anaconda
installer project.This UI is simple and easy to use. It is designed to be
used with line-based machines and tools (e.g. serial console) so that
every new line is appended to the bottom of the screen. Printed lines
are never rewritten!}

BuildRequires: python3-devel python3-gobject-base python3-setuptools gettext intltool

%description
%{common_description}

%package -n python3-simpleline
Summary: A Python3-only text UI framework
Requires: rpm-python3
%{?python_provide:%python_provide python3-simpleline}

%description -n python3-simpleline
%{common_description}

%prep
%autosetup -n simpleline-%{version} -p1

%build
%make_build

%install
%make_install
%find_lang  %{name}

%check
make test

%pre

%preun

%post

%postun

%files -n python3-simpleline -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog README.md
%{python3_sitelib}/*

%changelog
* Tue Aug 04 2020 Yeqing Peng <pengyeqing@huawei.com> - 1.7-1
- update to 1.7

* Fri Oct 18 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.6-1
- Package init
